
TYPO3.Flow - Bug # 28862

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: Security
Created: 2011-08-09 Assigned To: Rens Admiraal
Updated: 2013-04-12 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: FLOW3 1.0.0
Subject: Inconsistent handling of roles as objects and strings in Account
Description

While the public methods of Account that deal with @Role@s use objects, account internally stores only the role identifiers as strings.
This should be changed.

Related issues:
related to TYPO3.Flow - Task # 37451: Rework usage of Roles in the security f... Resolved 2012-05-23
related to TYPO3.Flow - Feature # 27698: Roles should use an adequate data ty... Resolved 2011-06-26
related to TYPO3.Flow - Bug # 47229: System roles become namespaced in config... Resolved 2013-04-15

Associated revisions
Revision f0776fb3 - 2013-04-10 17:25 - Karsten Dambekalns

[!!!][FEATURE] Handle roles consistently as objects

With this change roles are consistently used as objects.

To prevent naming conflicts between roles from different packages the
package key is added to the role names.

The handling of roles now is more strict and does not allow the use of
not configured (non-existent) roles anymore.

Roles are now referenced as real instances instead of their string
identifiers in models. Roles which were defined in policies are now
automatically mirrored to the RoleRepository (usually stored as a
table in a database).

The getRoles() method has been removed from TokenInterface.

Change-Id: I39f335baa01fbe9b883e98e85cb1f063bbaf5744
Resolves: #28862
Resolves: #43578
Related: #37451
Related: #27698
Releases: 2.0, master

Revision 28e52aa8 - 2013-04-11 12:27 - Karsten Dambekalns

[!!!][FEATURE] Handle roles consistently as objects

2015-08-03 1/7



With this change roles are consistently used as objects.

To prevent naming conflicts between roles from different packages the
package key is added to the role names.

The handling of roles now is more strict and does not allow the use of
not configured (non-existent) roles anymore.

Roles are now referenced as real instances instead of their string
identifiers in models. Roles which were defined in policies are now
automatically mirrored to the RoleRepository (usually stored as a
table in a database).

The getRoles() method has been removed from TokenInterface.

Change-Id: I39f335baa01fbe9b883e98e85cb1f063bbaf5744
Resolves: #28862
Resolves: #43578
Related: #37451
Related: #27698
Releases: 2.0, master

Revision f71d9f1c - 2013-04-15 12:39 - Adrian Föder

[BUGFIX] System roles don't get a package namespace

The role change I39f335baa01fbe9b883e98e85cb1f063bbaf5744
introduced the automatic prepend of the package namespace
where the role has been defined; except for system roles
which are at the moment Anonymous and Everybody.

For ACLs, however, the package namespace has been prepended
also for the system roles. This fixes that behavior.

Change-Id: Iba14a25254a8db2cc53c6d07d63baac02b546763
Fixes: #47229
Related: #28862
Releases: 2.0, master

Revision 5936bb55 - 2013-04-15 15:06 - Adrian Föder

[BUGFIX] System roles don't get a package namespace

The role change I39f335baa01fbe9b883e98e85cb1f063bbaf5744
introduced the automatic prepend of the package namespace
where the role has been defined; except for system roles
which are at the moment Anonymous and Everybody.

For ACLs, however, the package namespace has been prepended
also for the system roles. This fixes that behavior.
Change-Id: Iba14a25254a8db2cc53c6d07d63baac02b546763
Fixes: #47229
Related: #28862
Releases: 2.0, master

History
#1 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#2 - 2012-05-02 15:03 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke
- Target version set to 1.1 beta 1
- PHP Version set to 5.3
- Has patch set to No
- Complexity set to easy

#3 - 2012-05-15 15:28 - Karsten Dambekalns
- Target version changed from 1.1 beta 1 to 1.1

#4 - 2012-05-25 09:39 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#5 - 2012-06-25 22:18 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 2.0 beta 1

#6 - 2012-08-19 22:56 - Rens Admiraal
- Assigned To changed from Robert Lemke to Rens Admiraal

#7 - 2012-08-21 12:49 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#8 - 2012-08-26 23:15 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#9 - 2012-09-08 23:33 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#10 - 2012-09-18 12:54 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#11 - 2012-09-18 22:30 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#12 - 2012-11-12 23:04 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#13 - 2012-11-12 23:34 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#14 - 2012-11-21 12:04 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#15 - 2012-11-21 14:30 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#16 - 2012-11-26 22:43 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#17 - 2012-11-26 23:57 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#18 - 2012-11-27 00:13 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#19 - 2012-12-03 12:06 - Gerrit Code Review
Patch set 15 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#20 - 2012-12-04 12:39 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#21 - 2012-12-05 22:28 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#22 - 2012-12-05 22:51 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13868

#23 - 2012-12-09 21:25 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#24 - 2013-02-04 18:27 - Gerrit Code Review

Patch set 19 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#25 - 2013-03-06 13:50 - Gerrit Code Review

Patch set 20 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#26 - 2013-03-06 17:13 - Gerrit Code Review

Patch set 21 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#27 - 2013-03-06 17:20 - Gerrit Code Review

Patch set 22 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#28 - 2013-03-07 17:54 - Gerrit Code Review

Patch set 23 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868
#29 - 2013-03-07 18:35 - Gerrit Code Review

Patch set 24 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#30 - 2013-03-19 13:17 - Gerrit Code Review

Patch set 25 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#31 - 2013-04-08 15:11 - Gerrit Code Review

Patch set 26 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#32 - 2013-04-08 15:31 - Gerrit Code Review

Patch set 27 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#33 - 2013-04-09 14:20 - Gerrit Code Review

Patch set 28 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#34 - 2013-04-09 17:17 - Gerrit Code Review

Patch set 29 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#35 - 2013-04-10 17:26 - Gerrit Code Review

Patch set 30 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#36 - 2013-04-10 19:35 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19782

#37 - 2013-04-10 19:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:f0776fb3e7c561940617b0011ce36fc3609084f5.

#38 - 2013-04-11 12:27 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19782

#39 - 2013-04-12 14:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:28e52aa8883c1fabc630b2f0f7756f72adaf1707.
